---
title: Release note
subtitle: ATC Simulator
toolversion: 1.2.1
releasedate: 2019-08-02
author: Wylem BARS
function: Software Engineer
customer: IHE Europe
reference: KER1-RNO-IHE-ATC_SIMULATOR
---
# 1.2.1
_Release date: 2019-08-02_

__Bug__

* \[[ATCREPO-13](https://gazelle.ihe.net/jira/browse/ATCREPO-13)\] Failure of the test cases due to invalid time period

# 1.2.0
_Release date: 2019-07-01_

__Improvement__

* \[[ATCREPO-11](https://gazelle.ihe.net/jira/browse/ATCREPO-11)\] Update ATC mock to be compliant with EPR 1.9 Specification

# 1.1.2
_Release date: 2019-04-10_

__Bug__

* \[[ATCREPO-7](https://gazelle.ihe.net/jira/browse/ATCREPO-7)\] ATC Client simulator send "IHE- SAML" instead of "IHE-SAML"
* \[[ATCREPO-8](https://gazelle.ihe.net/jira/browse/ATCREPO-8)\] Patient Audit Record Repository response contains not all request parameters
* \[[ATCREPO-9](https://gazelle.ihe.net/jira/browse/ATCREPO-9)\] ATC Consumer endpoint include /ARRService and shouldn't
* \[[ATCREPO-10](https://gazelle.ihe.net/jira/browse/ATCREPO-10)\] & should not be escaped inside date parameter

# 1.1.1
_Release date: 2019-04-03_

__Bug__

* \[[ATCREPO-5](https://gazelle.ihe.net/jira/browse/ATCREPO-5)\] Handling of parameter "date=ge
* \[[ATCREPO-6](https://gazelle.ihe.net/jira/browse/ATCREPO-6)\] ATC - Simulator ignores _format parameter, only responding with XML


# 1.1.0
_Release date: 2019-03-27_

__Story__

* \[[ATCREPO-1](https://gazelle.ihe.net/jira/browse/ATCREPO-1)\] Update the mock to comply with the EPR 1.8 specification

__Improvement__

* \[[ATCREPO-2](https://gazelle.ihe.net/jira/browse/ATCREPO-2)\] Update the AuditMessage and AuditEvent messages


# 1.0.2
_Release date: 2019-02-15_

__Bug__

* \[[ATCREPO-3](https://gazelle.ihe.net/jira/browse/ATCREPO-3)\] Mock not correctly handle request parameters

__Improvement__

* \[[ATCREPO-4](https://gazelle.ihe.net/jira/browse/ATCREPO-4)\] Replace regex with XMLHolder in assertion reading

